#include <iostream>    // The code below uses ostream, endl.
using std::ostream;    // 
using std::endl;       // 
#include <string>      // The code below uses to_string.
using std::to_string;  // 
#include "Country.h"   // The code for operator<< is referring to "owner", a member of the Country class, 
                       //   so the class declaration for Country is required, which is in the header file. 
#include "Player.h"    // The code for operator<< is referring to "getName", a member of the Player class, 
                       //   so the class declaration for Player is required, which is in the header file. 

ostream& operator<<(ostream& os, Country& co) {
	os << co.getName() << " : owner is " << co.owner->getName() << endl;
	return os;
}

Country::Country() : owner(NULL), name("") { 
	numRegisteredCountries++; }

Country::Country(Player* owner) : owner(owner) {
	numRegisteredCountries++;
	name = "country" + to_string(numRegisteredCountries);
}

string Country::getName() {
	return name;
}

int Country::numRegisteredCountries = 0;
